<p>Here you can define a custom CSS that can be used with ipeRSS widgets. All styles automatically get rewritten so that they only affect the ipeRSS widget. The custom CSS gets combined with the default CSS and custom settings overwrite settings from the default CSS. You can enable or disable the usage of the default and the custom CSS in the widget settings.</p>
<p>To disable the custom CSS usage simply disable it in the widget. You don’t need to delete the custom CSS settings on this page. They will be loaded anyways, but if disabled in widget, the code does not get applied to it.</p>

<div class="ipersscsssettingleft">
<div>

<h3><?php _e('Structure', 'iperss-custom-css'); ?></h3>

<p>As a guideline for creating your custom CSS, here’s the structure that ipeRSS uses for displaying the images and informations.</p>

<p><pre><?php
$code = '<ul>'."\n".
	'    <li class="iperssuser">'."\n".
	'        <a href="USERLINK">USERNAME</a>'."\n".
	'    </li>'."\n".
	'    <!-- This part gets repeated for each image -->'."\n".
	'        <li class="iperssimg">'."\n".
	'            <h3>IMAGE TITLE</h3>'."\n".
	'            <p><a href="IMAGELINK"><img src="THUMBNAIL"></a></p>'."\n".
	'            <p><em>IMAGE DATE</em></p>'."\n".
	'        </li>'."\n".
	'    <!-- image loop end -->'."\n".
	'    <li class="ipersclearfix"></li>'."\n".
	'    <li class="iperssinfo">'."\n".
	'        <a href="INFOLINK">INFOTEXT</a>'."\n".
	'    </li>'."\n".
	'</ul>';
echo str_replace(array('<','>'), array('&lt;','&gt;'), $code);
?></pre></p>

<p><strong>Note:</strong> You don’t need to “mask” the definitions by using descendant selectors like <code>div.ipersscustom ul { … }</code>. Simply use <code>ul { … }</code> directly. In fact, you can not use them at all, because the code gets rewritten by ipeRSS, so don’t waste you time making it too complicated :)</p>

<p>If you’re unfamiliar with CSS try the <a href="http://www.w3schools.com/css/">CSS tutorial at w3schools.com</a>.</p>

</div>
</div>



<div class="ipersscsssettingright">

<form name="form1" method="post" action="">
<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">

<h3><?php _e('Custom CSS', 'iperss-custom-css'); ?></h3>

<p><textarea class="widefat" cols="80" rows="20" name="<?php echo $data_field_name; ?>"><?php echo $opt_val; ?></textarea></p>

<p class="submit">
<input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
</p>
</form>

</div>
