<?php
add_action('admin_menu', 'iperss_settings');


function iperss_settings() {
	add_options_page(
		'ipeRSS',
		'ipeRSS',
		'manage_options',
		'iperss',
		'iperss_decide_page'
	);

}


function iperss_decide_page() {
	if (!current_user_can('manage_options')) {
		wp_die( __('You do not have sufficient permissions'.
			' to access this page.') );
	}

	if ($_GET['t'] == 'help') {
		iperss_options_help();
	}
	else {
		iperss_custom_css_setting();
	}
}


function iperss_options_help() {
	echo '<div class="wrap">';
	echo '<div id="icon-options-general" class="icon32"><br /></div><h2>'. 
		__( 'ipeRSS Options Help', 'iperss-custom-css' ).
		'</h2>';
	include('adm/optionshelp.php');
	echo '</div>';
}


function iperss_custom_css_setting() {
	$opt_name = 'iperss_custom_css';
	$hidden_field_name = 'iperss_custom_css_submit_hidden';
	$data_field_name = 'iperss_custom_css';
	$opt_val = get_option( $opt_name );

	if( isset($_POST[ $hidden_field_name ])
		&& $_POST[ $hidden_field_name ] == 'Y' ) {
		$opt_val = $_POST[ $data_field_name ];
		update_option( $opt_name, $opt_val );
		echo '<div class="updated"><p><strong>'.
			'custom CSS file updated</strong></p></div>';
	}

	echo '<div class="wrap">';
	echo '<div id="icon-options-general" class="icon32"><br /></div><h2>'. 
		__( 'ipeRSS Custom CSS Settings', 'iperss-custom-css' ).
		'</h2>';
	include('adm/customcss.php');
	echo '</div>';
}

?>
