<?php

class IpeRSS extends WP_Widget {



	function IpeRSS() {
		$widget_ops = array(
			'classname' => 'IpeRSS',
			'description' => __(
				'Display ipernity images',
				'iperss_widget')
			);
		$this->WP_Widget('iperss',
			__('ipeRSS', 'iperss_widget'),
			$widget_ops);
		require_once('stylesheet.php');
	}



	function widget($args, $instance) {
		if ($instance['defaultcss'] == 'y')
			$default = ' iperssdefault';
		if ($instance['customcss'] == 'y')
			$custom = ' ipersscustom';

		extract($args);

		$title = empty($instance['title']) ?
			__('ipeRSS', 'iperss_widget') :
			apply_filters('widget_title', $instance['title']);

		echo $before_widget;
		echo $before_title . $title . $after_title;
		require_once('iperss.php');
		echo $after_widget;
	}



	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);
		$instance['number'] = (int) $new_instance['number'];
		$instance['user'] = (string) $new_instance['user'];
		$instance['lang'] = (string) $new_instance['lang'];
		$instance['imgsize'] = (string) $new_instance['imgsize'];
		$instance['datefmt'] = (string) $new_instance['datefmt'];
		$instance['customcss'] = (string) $new_instance['customcss'];
		$instance['defaultcss'] = (string) $new_instance['defaultcss'];
		$instance['poweredby'] = (string) $new_instance['poweredby'];

		if ( !$number = (int) $instance['number'] )
			$instance['number'] = 6;
		else if ( $number < 1 )
			$instance['number'] = 1;
		else if ( $number > 10 )
			$instance['number'] = 10;

		return $instance;
	}



	function formitem($type, $id, $title, $value) {
		if ($type == 'i') {
			echo '<p><label for="'.$this->get_field_id($id).'">';
			echo _e($title);
			echo '<input class="widefat" id="'.
				$this->get_field_id($id).
				'" name="'.$this->get_field_name($id).
				'" type="text" value="'.$value.
				'" /></label></p>';
		}
		elseif ($type == 'c') {
			if ($value == 'y') { $checked = 'checked="checked"'; }
				echo '<p><input class="widefat" id="'.
				$this->get_field_id($id).
				'" name="'.$this->get_field_name($id).
				'" type="checkbox" value="y" '.$checked.'/> ';
			echo '<label for="'.$this->get_field_id($id).'">';
			echo _e($title).'</label></p>';
		}
	}


	function languageselect($id, $title, $value) {
		echo '<p><label for="'.$this->get_field_id($id).'">';
		echo _e($title);
		echo '<select name="'.$this->get_field_name($id).'" '.
			'id="'.$this->get_field_id($id).'">';
		$langs = array(
			'ca' => 'Català',
			'cs' => 'Čeština',
			'de' => 'Deutsch',
			'el' => 'Ελληνικά',
			'en' => 'English',
			'eo' => 'Esperanto',
			'es' => 'Español',
			'fr' => 'Français',
			'gl' => 'Galego',
			'it' => 'Italiano',
			'nl' => 'Nederlands',
			'pt' => 'Português',
			'sv' => 'Svenska',
			'zh' => '中文'
		);
		foreach ($langs as $iso => $name) {
			if ($iso == $value) {
				$selected = ' selected="selected"';
			}
			else {
				$selected = '';
			}
			echo '<option value="'.$iso.'"'.$selected.'>'.
				$name.'</option>';
		}
		echo '</select></label></p>';
	}



	function sizeselect($id, $title, $value) {
		echo '<p><label for="'.$this->get_field_id($id).'">';
		echo _e($title);
		echo '<select name="'.$this->get_field_name($id).'" '.
			'id="'.$this->get_field_id($id).'">';
		$sizes = array(
			't'   => 'Thumbnail (75x75)',
			'100' => 'Small (100x)',
			'240' => 'Medium (240x)',
			'1024' => 'Large (1024x)'
		);
		foreach ($sizes as $size => $desc) {
			if ($size == $value) {
				$selected = ' selected="selected"';
			}
			else {
				$selected = '';
			}
			echo '<option value="'.$size.'"'.$selected.'>'.
				$desc.'</option>';
		}
		echo '</select></label></p>';
	}





	function form( $instance ) {
		$title = attribute_escape($instance['title']);
		$user = attribute_escape($instance['user']);
		$lang = attribute_escape($instance['lang']);
		$datefmt = attribute_escape($instance['datefmt']);
		$imgsize = attribute_escape($instance['imgsize']);
		$customcss = attribute_escape($instance['customcss']);
		$defaultcss = attribute_escape($instance['defaultcss']);
		$poweredby = attribute_escape($instance['poweredby']);

		if ( !$number = (int) $instance['number'] )
			$number = 6;
		if ( !$instance['imgsize'] )
			$imgsize = 't';
		if ( !$instance['datefmt'] )
			$datefmt = 'Y-m-d\TH:i:s';

		# TODO: Disable after bugfixing!
		#print_r($instance);

		$this->formitem('i', 'title','Title:',$title);
		$this->formitem('i', 'user','Ipernity user name:',$user);
		$this->languageselect('lang','Desired feed language:',$lang);
		$this->formitem('i', 'number','No. of images:',$number);
		$this->formitem('i', 'datefmt','Date format:',$datefmt);
		$this->sizeselect('imgsize','Desired image size:',$imgsize);
		$this->formitem('c', 'customcss',
			'Apply custom CSS?',$customcss);
		$this->formitem('c', 'defaultcss',
			'Apply default CSS?',$defaultcss);
		$this->formitem('c', 'poweredby',
			'Show “powered by” link?',$poweredby);
		echo '<p>Get help on options?<br />'.
			'<a href="options-general.php?page=iperss&t=help">'.
			'See here!</a></p>';
	}


	function registerwidget() {
		function r() { register_widget('IpeRSS'); }
			add_action('widgets_init', 'r');
	}



}

?>
